## cryptsetup 1.6.1

=== debian/changelog ===
cryptsetup (2:1.6.1-1ubuntu1) trusty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Bump initramfs-tools Suggests to Depends: so system is not
        potentially rendered unbootable.
      + Depend on plymouth.

    - Invert the "busybox | busybox-static" Recommends, as the latter is
      the one we ship in main as part of the ubuntu-standard task.
  
    - Remove hardcoded paths to udevadm (LP: #1184066).  
  
    - debian/initramfs/cryptroot-hook:
      + Do not unconditionally include cryptsetup utils in the initramfs.
      + Do not include any modules or utils in the initramfs, unless
        rootfs/resume devices are encrypted or CRYPTSETUP is set to 'y' in
        the initramfs.conf configuration file.
  
    - debian/cryptsetup.maintscripts:
      + Migrate upstart jobs to new names.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 01 Nov 2013 16:48:57 +0000

cryptsetup (2:1.6.1-1) unstable; urgency=low

  [ Milan Broz ]
  * new upstream version. (closes: #704827, 707997)
    - default LUKS encryption mode is XTS (aes-xts-plain64) (closes: #714331)
    - adds native support for Truecrypt and compatible on-disk format
    - adds benchmark command
    - adds cryptsetup-reencrypt, a tool to offline reencrypt LUKS device
    - adds veritysetup, a tool for dm-verity block device verification module
  * install docs/examples into docs at cryptsetup-dev package.
  * fix compilation warnings in askpass.c.

  [ Steve Langasek ]
  * fix upstart jobs to not cause boot hangs when actually used in
    conjunction with startpar.  (closes: #694499, #677712).
  * in connection with the above, make the cryptdisks-early job explicitly
    wait for 'umountfs' on shutdown just like cryptdisks does; otherwise,
    the teardown of the cryptdisks upstart job may cause the cryptdisks-early
    init script run before we're done unmounting filesystems.

  [ Jonas Meurer ]
  * minor wording fixes to README.initramfs, suggested by intrigeri and Adam
    D. Barrett.
  * add bash-completion script for cryptdisks_{start,stop}. Thanks to Claudius
    Hubig for providing a patch. (closes: #700777)
  * support specifying key-slot in crypttab. Thanks to Kevin Locke for the
    patch. (closes: #704470)
  * remove evms support code from cryptroot initramfs script. (closes: #713918)
  * fix location of keyscripts in initramfs documentation. (closes: #697446)
  * fix a typo in decrypt_ssl script that prevented stdout from beeing
    redirected to /dev/null. (closes: #700285)
  * give full path to blkid in crytproot initramfs script. (closes: #697155)
  * export number of previous tries from cryptroot and cryptdisks to
    keyscript. Thanks to Laurens Blankers for the idea. Opens the possibility
    to fallback after a given number of tries for keyscripts. (closes: #438481,
    #471729, #697455)
  * improve check for cpu hardware encryption support in initramfs cryptroot
    hook. (closes: #714326)

 -- Jonas Meurer <mejo@debian.org>  Fri, 28 Jun 2013 12:10:41 +0200

cryptsetup (2:1.4.3-4ubuntu4) saucy; urgency=low

  * debian/initramfs/cryptroot-hook:
    - Do not unconditionally include cryptsetup utils in the initramfs.
    - Do not include any modules or utils in the initramfs, unless
      rootfs/resume devices are encrypted or CRYPTSETUP is set to 'y' in
      the initramfs.conf configuration file.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 10 Jun 2013 16:25:46 +0100

cryptsetup (2:1.4.3-4ubuntu3) saucy; urgency=low

  * Remove hardcoded paths to udevadm (LP: #1184066).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 11:27:27 +0100
