## cryptsetup 1.6.4

=== debian/changelog ===
cryptsetup (2:1.6.4-4~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Don't require automake 1.12, nor serial-tests, as suggested
    by "For old automake use this" in configure.ac.

 -- intrigeri <intrigeri@debian.org>  Mon, 21 Jul 2014 18:22:45 +0200

cryptsetup (2:1.6.4-4) unstable; urgency=medium

  * really fix plain device opening in initramfs cryptroot script this time.
    Thanks again to Dirk Griesbach for the patch. (closes: #740592)

 -- Jonas Meurer <mejo@debian.org>  Mon, 03 Mar 2014 21:00:16 +0100

cryptsetup (2:1.6.4-3) unstable; urgency=medium

  * fix plain device opening, broken by switch to new unified open command
    in 1.6.4-1. Thanks to Dirk Griesbach for the patch. (closes: #740592)
  * update italian debconf translations, thanks to Italian l10n team and
    Francesca Ciceri. (closes: #740557)
  * remove trailing whitespaces from text files.
  * some minor packaging fixes thanks to lintian checks:
    - fix VCS-* fields in debian/control to use canoncial URIs.
    - remove empty directory from libcryptsetup4 package.
    - add lintian-override for init.d-script-not-included-in-package.

 -- Jonas Meurer <mejo@debian.org>  Sun, 02 Mar 2014 13:51:35 +0100

cryptsetup (2:1.6.4-2) unstable; urgency=medium

  * fix libcryptsetup.so symlink. Thanks to Michael Biebl. (closes: #740484)

 -- Jonas Meurer <mejo@debian.org>  Sun, 02 Mar 2014 01:33:39 +0100

cryptsetup (2:1.6.4-1) unstable; urgency=low

  * new upstream version 1.6.4.
    - minor fixes in cryptsetup manpage. (closes: #725131)
    - by default verify new passphrase in luksChangeKey and luksAddKey
      commands (closes: #728302)
    - cryptsetup releases are released on kernel.org since 1.6.4. Change
      debian/watch accordingly.
  * use compiled defaults for cypher, keysize and hash in luksformat script
  * improvements to docs (thanks to Christoph Anton Mitterer):
    - small improvement to explanation for CRYPTTAB_TRIED environment variable
      in crypttab manpage
    - update cipher, size and hash settings in examples (closes: #714331)
    - replace '/dev/hdX' devices with '/dev/sdX' in examples
    - full path to keyscripts in /lib/cryptsetup/scripts not needed in examples
  * update init and initramfs scripts to use new open syntax (closes: #714395)
  * add scripts/local-block/cryptroot in order to support event based block
    device handling. Thanks to Goswin von Brederlow (closes: #678692)
  * add support for TCRYPT device handling to cryptdisks init and cryptroot
    initramfs scripts. (closes: #722509)
  * improve passphrase prompt in cryptroot initramfs script. Thanks to Joachim
    Breitner. (closes: #728080)
  * add support for detached luks header to cryptdisks init script. Thanks to
    Ximin Luo. (closes: #716652)
  * enhance docs about remote unlocking feature. Thanks to Karl O. Pinc.
    (closes: #715487, #714952)
  * update README.keyctl docs: since linux kernel 2.6.38, dm-crypt is not
    single-threaded any longer. (closes: #714806)
  * don't sleep between retries in cryptroot initramfs script. (closes: #715525)
  * add multi-arch support. Thanks to Shawn Landden. (closes: #696008, #732099)
  * suggest keyutils. Thanks to Nikolaus Rath. (closes: #734133, #735496)
  * fix initramfs/cryptroot-hook to support more than one lvm source devices.
    Thanks to Jens Reinsberger for the patch. (closes: #659688, #737686)
  * bump standards-version to 3.9.5, no changes needed.
  * override lintian false positives for init scripts:
    - init.d-script-does-not-implement-optional-option status
    - init.d-script-does-not-source-init-functions

 -- Jonas Meurer <mejo@debian.org>  Fri, 28 Jun 2013 12:14:55 +0200
