=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>
-Build-Depends: libgcrypt11-dev (>= 1.4.6-3), libdevmapper-dev (>= 2:1.02.24-4), libpopt-dev, uuid-dev, libselinux1-dev, libsepol1-dev, libtool (>= 2.2), autoconf, automake, pkg-config, autopoint, gettext, debhelper (>= 9.20120410~), xsltproc, docbook-xml, docbook-xsl (>= 1.74.3+dfsg), dpkg-dev (>= 1.15.1), po-debconf
-Standards-Version: 3.9.5
+Build-Depends: libgcrypt20-dev (>= 1.6.1), libdevmapper-dev (>= 2:1.02.24-4), libpopt-dev, uuid-dev, libselinux1-dev, libsepol1-dev, libtool (>= 2.2), autoconf, automake (>= 1:1.12), pkg-config, autopoint, gettext, debhelper (>= 9.20120410~), xsltproc, docbook-xml, docbook-xsl (>= 1.74.3+dfsg), dpkg-dev (>= 1.15.1), po-debconf
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/cryptsetup/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-cryptsetup/cryptsetup/trunk
-Vcs-Svn: svn://anonscm.debian.org/pkg-cryptsetup/cryptsetup/trunk
+X-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-cryptsetup/cryptsetup/trunk
+X-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-cryptsetup/cryptsetup/trunk
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cryptsetup/ubuntu
 
 Package: cryptsetup
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup, cryptsetup-bin
-Recommends: kbd, console-setup, initramfs-tools (>= 0.91) | linux-initramfs-tool, busybox | busybox-static
+Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup, cryptsetup-bin (>= 2:1.6.0), initramfs-tools (>= 0.91) | linux-initramfs-tool, plymouth
+Recommends: kbd, console-setup, busybox-static | busybox
 Suggests: dosfstools, liblocale-gettext-perl, keyutils
 Provides: cryptsetup-luks
 Conflicts: cryptsetup-luks
@@ -33,8 +35,8 @@
 Package: cryptsetup-bin
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: cryptsetup (<< 2:1.4.3-1~)
-Replaces: cryptsetup (<< 2:1.4.3-1~)
+Breaks: cryptsetup (<< 2:1.4.1-2ubuntu2~)
+Replaces: cryptsetup (<< 2:1.4.1-2ubuntu2~)
 Description: disk encryption support - command line tools
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -47,7 +49,7 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgpg-error0 (>= 1.10-0.1), libgcrypt11 (>= 1.4.6-2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgpg-error0 (>= 1.10-0.1)
 Description: disk encryption support - shared library
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
